<?php 

namespace Concrete\Package\CrockPinta\Block\CrockPinta;

defined('C5_EXECUTE') or die("Access Denied.");

use \Concrete\Core\Block\BlockController;
use Core;

	class Controller extends BlockController {
		
		var $pobj;
		
		protected $btTable = 'btCrockPinta';
		protected $btInterfaceWidth = "600";
		protected $btInterfaceHeight = "500";

		public function getBlockTypeDescription() {
			return t("Include a Pinterest feed");
		}
		
		public function getBlockTypeName() {
			return t("Crock Pinterest Feed");
		}
		
		public function edit() {
			$this->set('clientid', $this->clientid);
			$this->set('limitImage', $this->limitImage);
        	$this->set('rowSize', $this->rowSize);
        	$this->set('unID', Core::make('helper/validation/identifier')->getString(18));
		}
		public function add() {
			$this->set('clientid', '');
			$this->set('limitImage', '4');
        	$this->set('rowSize', 'Four');
        	$this->set('unID', Core::make('helper/validation/identifier')->getString(18));
    	}
		
		function save($data) { 
			$args['clientid'] = ($data['clientid']);
			$args['limitImage'] = ($data['limitImage']);
			$args['rowSize'] = ($data['rowSize']);
			parent::save($args);
		}

		public function view(){
			$this->set('unID', Core::make('helper/validation/identifier')->getString(18));
		}
	}
